rte_crypto_dsa_op_param(3)

NAME
rte_crypto_dsa_op_param

SYNOPSIS

#include <rte_crypto_asym.h>

  Data Fields

enum rte_crypto_asym_op_type op_type
rte_crypto_param message
rte_crypto_uint k
rte_crypto_uint r
rte_crypto_uint s
rte_crypto_uint y

Detailed Description

DSA Operations params

Definition at line 574 of file rte_crypto_asym.h.

Field Documentation

  enum rte_crypto_asym_op_type op_type
Signature Generation or Verification

Definition at line 575 of file rte_crypto_asym.h.

  rte_crypto_param message
input message to be signed or verified

Definition at line 577 of file rte_crypto_asym.h.

  rte_crypto_uint k
Per-message secret number, which is an integer in the interval (1, q-1). If the random number is generated by the PMD, the 'rte_crypto_param.data' parameter should be set to NULL.

Definition at line 579 of file rte_crypto_asym.h.

  rte_crypto_uint r
dsa sign component 'r' value

output if op_type = sign generate, input if op_type = sign verify

Definition at line 585 of file rte_crypto_asym.h.

  rte_crypto_uint s
dsa sign component 's' value

output if op_type = sign generate, input if op_type = sign verify

Definition at line 591 of file rte_crypto_asym.h.

  rte_crypto_uint y
y : Public key of the signer. y = g^x mod p

Definition at line 597 of file rte_crypto_asym.h.

Author

Generated automatically by Doxygen for DPDK from the source code.